/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package httpauthenticationmechanism;

import java.util.HashSet;
import java.util.Set;
import javax.inject.Named;
import javax.enterprise.context.ApplicationScoped;

/**
 *
 * @author Patrick
 */
@Named(value = "managedPerson")
@ApplicationScoped
public class ManagedPerson {

    private Set<String> logins;
    
    /**
     * Creates a new instance of ManagedCustomer
     */
    public ManagedPerson() {
    }
    
    public Set<String> getLogins(){
        if (this.logins == null) {
            this.logins = new HashSet<>();
        }
        
        return this.logins;
    }
    
    public void addLogin(String user){
        getLogins().add(user);
    }
    
    public void removeLogin(String user){
        getLogins().remove(user);
    }
    
}
